import request from '@/utils/request'

//查询车辆故障列表
export function findSysCarFaultList(data) {
  return request({
    url: '/breakdown/car/fault/findSysCarFaultList',
    method: 'post',
    data:data
  })
}
//添加车辆故障码
export function addSysCarFault(data) {
  return request({
    url: '/breakdown/car/fault/addSysCarFault',
    method: 'post',
    data:data
  })
}
//修改车辆故障码
export function updateSysCarFault(data) {
  return request({
    url: '/breakdown/car/fault/updateSysCarFault',
    method: 'post',
    data:data
  })
}
//删除车辆故障码
export function deleteSysCarFaultId(id) {
  return request({
    url: '/breakdown/car/fault/deleteSysCarFaultId?id='+id,
    method: 'GET'
  })
}
//站内信消息列表
export function findMessageList(data) {
  return request({
    url: '/breakdown/message/findMessageList',
    method: 'post',
    data:data
  })
}
//站内信修改状态
export function updateMessage(data) {
  return request({
    url: '/breakdown/message/updateMessage',
    method: 'post',
    data:data
  })
}
//查询未读消息条数
export function selectStatusOne() {
  return request({
    url: '/breakdown/message/selectStatusOne',
    method: 'get'
  })
}




